# Glossary

Debouncing
: Debouncing ensures that a function cannot get called too frequently.
: For example, having a button that sends a request in should only be able to be pressed once.
: Grouping a sudden burst of events (like keystrokes or scroll events) to a single one.
: https://css-tricks.com/debouncing-throttling-explained-examples/
: https://medium.com/@jamischarles/what-is-debouncing-2505c0648ff1

Throttling
: Guaranteeing a constant flow of executions within a specified time period.
: For example, checking your scroll position every 200ms to trigger a CSS animation.

